# TaskReportTask

API Documentation: | `TaskReportTask`

Displays a list of tasks in the project. An instance of this type is used when you execute the `tasks` task from the command-line.

By default, this report shows only those tasks which have been assigned to a task group, so-called visible tasks. Tasks which have not been assigned to a task group, so-called hidden tasks, can be included in the report by enabling the command line option `--all`.

### Properties

Property | Description
`outputFile` | The file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.
`projects` | The set of project to generate this report for. By default, the report is generated for the task's containing project.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `outputFile`

The file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.

#### ``Set`<`Project`>` `projects`

The set of project to generate this report for. By default, the report is generated for the task's containing project.